Update an Element

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • element_id number Required

    id of the element

application/json

Body

  • client_validation string
  • condition_value string
  • data_size number
  • data_type number
  • default_value string
  • description string
  • dynamic_label string
  • dynamic_value string
  • high_value number
  • is_action boolean
  • is_disabled boolean
  • is_encrypt boolean
  • is_hide_typing boolean
  • is_readonly boolean
  • is_required boolean
  • keyboard_type number
  • label string
  • low_value number
  • name string
  • optionlist_id number
  • reference_id_1 string
  • smart_tbl_search_col string
  • sort_order number
  • validation_message string
  • weighted_score number
  • widget_type string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated element id

PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/elements/{element_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"attachment_link":"string","client_validation":"string","condition_value":"string","data_size":50,"data_type":1,"default_value":"string","description":"string","dynamic_label":"string","dynamic_value":"iformbuilder.username","high_value":42.0,"is_action":true,"is_disabled":true,"is_encrypt":true,"is_hide_typing":true,"is_readonly":true,"is_required":true,"keyboard_type":1,"label":"Inspector Name","low_value":42.0,"name":"inspector_name","optionlist_id":42.0,"reference_id_1":"string","smart_tbl_search":"string","smart_tbl_search_col":"string","sort_order":1,"validation_message":"string","weighted_score":42.0,"widget_type":"string"}'
Request examples
{
  "attachment_link": "string",
  "client_validation": "string",
  "condition_value": "string",
  "data_size": 50,
  "data_type": 1,
  "default_value": "string",
  "description": "string",
  "dynamic_label": "string",
  "dynamic_value": "iformbuilder.username",
  "high_value": 42.0,
  "is_action": true,
  "is_disabled": true,
  "is_encrypt": true,
  "is_hide_typing": true,
  "is_readonly": true,
  "is_required": true,
  "keyboard_type": 1,
  "label": "Inspector Name",
  "low_value": 42.0,
  "name": "inspector_name",
  "optionlist_id": 42.0,
  "reference_id_1": "string",
  "smart_tbl_search": "string",
  "smart_tbl_search_col": "string",
  "sort_order": 1,
  "validation_message": "string",
  "weighted_score": 42.0,
  "widget_type": "string"
}
Response examples (200)
{
  "id": 20483245
}